html, body {
    margin: 0;
    padding: 0;
    height: 100%;
}

h1, h2, h3 {
    margin: 0;
}

button {
    all: unset;
    text-align: center;
    width: 75px;
    height: 50px;
    background-color: #2660DC;
    color: white;
    opacity: 1;
    transition: opacity .1s ease-in
}

button:hover {
    opacity: .4;
}



.main-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    height: 100%;
}

.chatbox-container {
    display: flex;
    flex-direction: column;
    width: 50%;
    max-width: 800px;
    height: 100%;
    box-shadow: 0px 0px 10px -3px;
    font-size: 20px;
}

.chatbox-container .navbar {
    background-color: #2660DC;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 7vh;
}

.chatbox-container .chat-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    gap: 1em;
    padding: 1em 2em;    
    overflow-y: auto;
}

.chat-content .incoming-message,
.chat-content .outgoing-message {
    padding: 10px 20px;
    max-width: 250px;
    word-wrap: break-word;
    /* opacity: 1; */
    opacity: 0;
    transform: translateY(-20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.chat-content .incoming-message.show,
.chat-content .outgoing-message.show {
    opacity: 1;
    transform: translateY(0)
}

.chat-content .incoming-message {
    background-color: #C3C3C3;
    border-radius: 10% 10% 10% 10% / 20% 20% 20% 0%;
    margin-right: auto;
}

.chat-content .outgoing-message {
    background-color: #2660DC;
    color: white;
    border-radius: 10% 10% 10% 10% / 20% 20% 0% 20%;
    margin-left: auto;
}

.chatbox-container .message-input {
    height: 7vh;
    border-top: 2px solid #C3C3C3;
}

.message-input {
    display: flex;
}

.message-input input {
    all: unset;
    width: 90%;
    height: 100%;
    padding: 0 20px;
}

.message-input button {
    height: 100%;
}

/* Fix */
.message-input i {
    width: 10%;
    color: #2660DC;
}